// MaskDlg.cpp : implementation file
//

#include "stdafx.h"
#include "doodads.h"
#include "MaskDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMaskedDlg dialog


CMaskedDlg::CMaskedDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMaskedDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMaskedDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CMaskedDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMaskedDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMaskedDlg, CDialog)
	//{{AFX_MSG_MAP(CMaskedDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMaskedDlg message handlers

BOOL CMaskedDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	int cyIcon = ::GetSystemMetrics(SM_CYICON);
	int cxIcon = ::GetSystemMetrics(SM_CXICON);
	m_imageListMasked.Create(cxIcon, cyIcon, TRUE, 1, 1);
	m_imageListUnmasked.Create(cxIcon, cyIcon, FALSE, 1, 1);

	CWinApp* pApp = AfxGetApp();
	HICON hIcon;
	hIcon = pApp->LoadIcon(IDT_SMILE);

	if (hIcon == NULL)
	{
		TRACE0("Error: Couldn't load smiley face icon\n");
		EndDialog(IDCANCEL);
	}
	else
	{
		int nItem;
		CListCtrl* pImage;

		pImage = (CListCtrl*) GetDlgItem(IDC_MASKED);
		pImage->SetImageList(&m_imageListMasked, LVSIL_NORMAL);
		nItem = m_imageListMasked.Add(hIcon);
		pImage->InsertItem(0, _T("Have a Masked Day!"), nItem);

		pImage = (CListCtrl*) GetDlgItem(IDC_UNMASKED);
		pImage->SetImageList(&m_imageListUnmasked, LVSIL_NORMAL);
		nItem = m_imageListUnmasked.Add(hIcon);
		pImage->InsertItem(0, _T("Have an Unmasked Day!"), nItem);

		::DeleteObject(hIcon);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
