// address.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddressDialog dialog

class CAddressDialog : public CDialog
{
// Construction
public:
	CAddressDialog(CWnd* pParent = NULL);   // standard constructor
	~CAddressDialog();

// Dialog Data
	//{{AFX_DATA(CAddressDialog)
	enum { IDD = IDD_ADDRESSES };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddressDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CImageList m_ImageList;
	void LoadList(CListCtrl* pList, int* pnArray, const int nSize);
	void AddTab(int nID, CTabCtrl* pCtrl);
	void FreeStrings(int nID);
	CListCtrl* CopyList(int nOldID, int nNewID);

	CListCtrl* m_pFootballCtrl;
	CListCtrl* m_pBasketballCtrl;
	CListCtrl* m_pBaseballCtrl;
	int m_nActiveTab;

	// Generated message map functions
	//{{AFX_MSG(CAddressDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkTeams(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangedTeams(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeSport(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
